This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1314465 - openstack-aodh-expirer does not looks like a regular service
openstack-aodh-expirer does not looks like a regular service
Status: CLOSED EOL
Product: RDO
Classification: Community
Component: openstack-ceilometer (Show other bugs)
trunk
Unspecified Unspecified
unspecified Severity unspecified
: ---
: Kilo
Assigned To: Amit Ugol
Yurii Prokulevych
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-03 11:54 EST by Attila Fazekas
Modified: 2016-05-19 11:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-19 11:31:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Attila Fazekas 2016-03-03 11:54:10 EST
Description of problem:

openstack-aodh-expirer is packaged separately as it would be a service,
however aodh-expirer exits immediately after it did the clenaup. 

aodh-expirer should be in the same package as aodh-dbsync.

It should be called from cron job, like cinder db purge, or the keystone token flush  (when the tokens are stored in the db).

openstack-aodh-expirer-2.0.0.0b3-0.20160301155358.27fb5f7.fc23.noarch
Comment 1 Chandan Kumar 2016-05-19 11:31:27 EDT
This bug is against a Version which has reached End of Life.
If it's still present in supported release (http://releases.openstack.org), please update Version and reopen.

Note You need to log in before you can comment on or make changes to this bug.